This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Network Logging

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP. This guide provides a brief description of Network Logging service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0CURRENT-

OpenAPI URL

https://network-logging.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Create Network Logging Storage

1.1.1 - 1.0

post /v1/network-logging/storages

Description

Create Network Logging Storage.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

NetworkLoggingStorageCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNetworkLoggingStorageShowResponse
400Bad RequestNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/network-logging/storages

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = network-logging 1.0"

Request body

{
    "bucket_name": "",
    "resource_type": "FIREWALL"
}

Example HTTP response

Response 201

{
    "network_logging_storage": {
        "account_id": "",
        "bucket_name": "",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "resource_type": "FIREWALL"
    }
}

1.2 - Delete Network Logging Storage

1.2.1 - 1.0

delete /v1/network-logging/storages/{network_logging_storage_id}

Description

Delete Network Logging Storage.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
pathnetwork_logging_storage_id
required
Network Logging Storage ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/network-logging/storages/{network_logging_storage_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = network-logging 1.0"

Example HTTP response

Response 204

1.3 - List Network Logging Configurations

1.3.1 - 1.0

get /v1/network-logging/configurations

Description

Get Network Logging Configuration list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryresource_id
optional
Resource ID
Example :
stringNone
queryresource_name
optional
Resource Name
Example :
stringNone
queryresource_type
required
Resource Type
Example :
enum (FIREWALL, SECURITY_GROUP, NAT)None

Responses

HTTP CodeDescriptionSchema
200OKNetworkLoggingConfigurationListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/network-logging/configurations?resource_type={resource_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = network-logging 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "network_logging_configurations": [
        {
            "account_id": "",
            "bucket_name": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "down_interface": "",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "resource_id": "",
            "resource_name": "",
            "resource_type": "FIREWALL",
            "security_group_log_id": "",
            "up_interface": ""
        }
    ]
}

1.4 - List Network Logging Storages

1.4.1 - 1.0

get /v1/network-logging/storages

Description

Get Network Logging Storage list.

State ACTIVE (CURRENT)

VersionSupported Until
1.0-

Parameters

TypeNameDescriptionSchemaDefault
querywith_count
optional
with count
Example : true
any of [string, null]None
querylimit
optional
limit
Example : 20
any of [integer, null]None
querymarker
optional
marker
Example : 607e0938521643b5b4b266f343fae693
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryresource_type
required
Resource Type
Example :
enum (FIREWALL, SECURITY_GROUP, NAT)None

Responses

HTTP CodeDescriptionSchema
200OKNetworkLoggingStorageListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/network-logging/storages?resource_type={resource_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = network-logging 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "network_logging_storages": [
        {
            "account_id": "",
            "bucket_name": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "resource_type": "FIREWALL"
        }
    ]
}

2 - Models

2.1 - NetworkLoggingConfiguration

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
bucket_name
required
Storage Bucket Name
Example :
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
down_interface
optional
Downlink Interface
Example :
any of [string, null]
id
required
Network Logging Configuration ID
Example :
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
resource_id
required
Resource ID
Example :
string
resource_name
required
Resource Name
Example :
string
resource_type
required
Resource Type
Example : FIREWALL
enum (FIREWALL, SECURITY_GROUP, NAT)
security_group_log_id
optional
Security Group Log ID
Example :
any of [string, null]
up_interface
optional
Uplink Interface
Example :
any of [string, null]

2.2 - NetworkLoggingConfigurationListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
network_logging_configurations
required

array[NetworkLoggingConfiguration]

2.3 - NetworkLoggingStorage

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
bucket_name
required
Storage Bucket Name
Example :
string
created_at
required
Created At
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
Created By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
id
required
Network Logging Storage ID
Example :
string
modified_at
required
Modified At
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
Modified By
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
resource_type
required
Resource Type
Example : FIREWALL
enum (FIREWALL, SECURITY_GROUP, NAT)

2.4 - NetworkLoggingStorageCreateRequest

NameDescriptionSchemaDefault
bucket_name
required
Storage Bucket Name
Example :
string
resource_type
required
Resource Type
Example : FIREWALL
enum (FIREWALL, SECURITY_GROUP, NAT)

2.5 - NetworkLoggingStorageListResponse

NameDescriptionSchemaDefault
count
optional
total count
Example : 20
any of [integer, null]
links
optional
links
Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}]
any of [array[object], null]
network_logging_storages
required

array[NetworkLoggingStorage]

2.6 - NetworkLoggingStorageShowResponse

NameDescriptionSchemaDefault
network_logging_storage
required

NetworkLoggingStorage